> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Update network flow report

> Update a NetworkFlowReport.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json put /network_flow_reports/{network_flow_report_token}
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /network_flow_reports/{network_flow_report_token}:
    put:
      tags:
        - NetworkFlowReports
      summary: Update network flow report
      description: Update a NetworkFlowReport.
      operationId: updateNetworkFlowReport
      parameters:
        - name: network_flow_report_token
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/updateNetworkFlowReport'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkFlowReport'
              example:
                token: ntflw_lg_rprt_a5178e27a1be73a3
                title: new title
                default: false
                created_at: '2025-01-31T20:40:47Z'
                workspace_token: wrkspc_f8b981b7707ddda5
                created_by_token: null
                start_date: '2025-01-24'
                end_date: '2025-01-30'
                date_interval: last_7_days
                groupings: region,vpc_id
                flow_direction: egress
                flow_weight: bytes
                filter: null
        '400':
          description: BadRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
        '422':
          description: UnprocessableEntity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
      security:
        - oauth2:
            - write
components:
  schemas:
    updateNetworkFlowReport:
      type: object
      properties:
        title:
          type: string
          description: The title of the NetworkFlowReport.
        filter:
          type: string
          description: >-
            The filter query language to apply to the NetworkFlowReport.
            Additional documentation available at https://docs.vantage.sh/vql.
        start_date:
          type: string
          description: >-
            The start date of the NetworkFlowReport. YYYY-MM-DD formatted.
            Incompatible with 'date_interval' parameter.
          format: date
        end_date:
          type: string
          description: >-
            The end date of the NetworkFlowReport. YYYY-MM-DD formatted.
            Incompatible with 'date_interval' parameter.
          format: date
        date_interval:
          type: string
          description: >-
            The date interval of the NetworkFlowReport. Unless 'custom' is used,
            this is incompatible with 'start_date' and 'end_date' parameters.
            Defaults to 'last_7_days'.
          enum:
            - last_3_days
            - last_7_days
            - custom
        groupings:
          type: array
          description: >-
            Grouping values for aggregating data on the NetworkFlowReport. Valid
            groupings: account_id, az_id, dstaddr, dsthostname, flow_direction,
            interface_id, instance_id, peer_resource_uuid, peer_account_id,
            peer_vpc_id, peer_region, peer_az_id, peer_subnet_id,
            peer_interface_id, peer_instance_id, region, resource_uuid, srcaddr,
            srchostname, subnet_id, traffic_category, traffic_path, vpc_id.
          items:
            type: string
            enum:
              - account_id
              - az_id
              - dstaddr
              - dsthostname
              - flow_direction
              - interface_id
              - instance_id
              - peer_resource_uuid
              - peer_account_id
              - peer_vpc_id
              - peer_region
              - peer_az_id
              - peer_subnet_id
              - peer_interface_id
              - peer_instance_id
              - region
              - resource_uuid
              - srcaddr
              - srchostname
              - subnet_id
              - traffic_category
              - traffic_path
              - vpc_id
        flow_direction:
          type: string
          description: The flow direction of the NetworkFlowReport.
          enum:
            - ingress
            - egress
        flow_weight:
          type: string
          description: >-
            The dimension by which the logs in the report are sorted. Defaults
            to costs.
          enum:
            - costs
            - bytes
      description: Update a NetworkFlowReport.
    NetworkFlowReport:
      required:
        - created_at
        - date_interval
        - default
        - end_date
        - filter
        - flow_direction
        - flow_weight
        - groupings
        - start_date
        - title
        - token
        - workspace_token
      type: object
      properties:
        token:
          type: string
          nullable: false
        title:
          type: string
          description: The title of the NetworkFlowReport.
          nullable: false
          example: Public Traffic Destinations
        default:
          type: boolean
          description: Indicates whether the NetworkFlowReport is the default report.
          nullable: false
        created_at:
          type: string
          description: >-
            The date and time, in UTC, the report was created. ISO 8601
            Formatted.
          nullable: false
          example: '2024-03-19T00:00:00Z'
        workspace_token:
          type: string
          description: The token for the Workspace the NetworkFlowReport is a part of.
          nullable: false
        created_by_token:
          type: string
          description: The token for the User or Team that created this NetworkFlowReport.
          nullable: true
        start_date:
          type: string
          description: >-
            The start date for the NetworkFlowReport. Only set for custom date
            ranges. ISO 8601 Formatted.
          nullable: true
          example: '2024-03-01'
        end_date:
          type: string
          description: >-
            The end date for the NetworkFlowReport. Only set for custom date
            ranges. ISO 8601 Formatted.
          nullable: true
          example: '2024-03-20'
        date_interval:
          type: string
          description: >-
            The date range for the NetworkFlowReport. Only present if a custom
            date range is not specified.
          nullable: true
          example: last_month
        groupings:
          type: string
          description: The grouping aggregations applied to the filtered data.
          nullable: true
          example: cost_type, tag:account
        flow_direction:
          type: string
          description: >-
            The flow weight of the NetworkFlowReport. Possible values: costs,
            bytes.
          nullable: true
          example: ingress
        flow_weight:
          type: string
          description: >-
            The flow weight of the NetworkFlowReport. Possible values: costs,
            bytes.
          nullable: false
          example: costs
        filter:
          type: string
          description: >-
            The filter applied to the NetworkFlowReport. Additional
            documentation available at https://docs.vantage.sh/vql.
          nullable: true
      description: NetworkFlowReport model
    Errors:
      required:
        - errors
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        errors:
          type: array
          nullable: false
          items:
            type: string
      description: Errors model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````